### Please describe the problem.

`annex init --help` talks about supporting `--backend` so I expected either modification of .gitattributes to add backend, or at least non-persistent setting in .git/config ... but seems nothing is actually done?


### What version of git-annex are you using? On what operating system?

6.20170525+gitge1cf095ae-1~ndall+1

### Please provide any additional information below.

[[!format sh """

$> git annex init --backend=MD5E
init  ok
(recording state in git...)
(dev) 2 27354 [1].....................................:Wed 12 Jul 2017 07:08:21 PM EDT:.
(git)hopa:/tmp/1233[master]
$> cat .git/config 
[core]
	repositoryformatversion = 0
	filemode = true
	bare = false
	logallrefupdates = true
[annex]
	uuid = 8a045a11-af4a-43b6-922f-cf402efab619
	version = 5
(dev) 2 27355 [1].....................................:Wed 12 Jul 2017 07:08:26 PM EDT:.
(git)hopa:/tmp/1233[master]
$> git annex init --help        
git-annex init - initialize git-annex

Usage: git-annex init [DESC] [--version VALUE]

Available options:
  --version VALUE          Override default annex.version
  --force                  allow actions that may lose annexed data
  -F,--fast                avoid slow operations
  -q,--quiet               avoid verbose output
  -v,--verbose             allow verbose output (default)
  -d,--debug               show debug messages
  --no-debug               don't show debug messages
  -b,--backend NAME        specify key-value backend to use
  -N,--numcopies NUMBER    override default number of copies
  --trust REMOTE           override trust setting
  --semitrust REMOTE       override trust setting back to default
  --untrust REMOTE         override trust setting to untrusted
  -c,--config NAME=VALUE   override git configuration setting
  --user-agent NAME        override default User-Agent
  --trust-glacier          Trust Amazon Glacier inventory
  --notify-finish          show desktop notification after transfer finishes
  --notify-start           show desktop notification after transfer starts
  -h,--help                Show this help text

For details, run: git-annex help init
(dev) 2 27356 [1].....................................:Wed 12 Jul 2017 07:08:31 PM EDT:.
(git)hopa:/tmp/1233[master]
$> ls
(dev) 2 27357 [1].....................................:Wed 12 Jul 2017 07:08:39 PM EDT:.
(git)hopa:/tmp/1233[master]
$> ls -lta
total 312
drwx------   9 yoh  yoh    4096 Jul 12 19:08 .git/
drwx------   3 yoh  yoh    4096 Jul 12 19:08 ./
drwxrwxrwt 143 root root 307200 Jul 12 19:08 ../
(dev) 2 27358 [1].....................................:Wed 12 Jul 2017 07:08:40 PM EDT:.
(git)hopa:/tmp/1233[master]
$> grep -r MD5E .


"""]]

### Have you had any luck using git-annex before? (Sometimes we get tired of reading bug reports all day and a lil' positive end note does wonders)

kinda
